Bug 244497 - graphics/gtkam: "Deleting gtkam-1.0_4.txz: new dependency: graphics/gimp" on each poudriere run
Summary: graphics/gtkam: "Deleting gtkam-1.0_4.txz: new dependency: graphics/gimp" on ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-28 14:45 UTC by Felix Palmen
Modified: 2021-05-02 14:52 UTC (History)
3 users (show)

See Also:
tcberner: maintainer-feedback-


Attachments
fix gimp dependency line (440 bytes, patch)
2020-02-28 14:45 UTC, Felix Palmen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Palmen 2020-02-28 14:45:02 UTC
Created attachment 212022 [details]
fix gimp dependency line

The reason is a dependency line on the meta-port graphics/gimp instead of the port graphics/gimp-app actually containing the required library -- fix attached.
Comment 1 Felix Palmen 2020-05-24 08:15:32 UTC
Hello Ben,

could you please share your thoughts on this change? Are there issues with the patch I'm not aware of, e.g. some reason the dependency should really be on gimp instead of gimp-app?

I have it as a local change in my ports tree for a long time now and can't see any problems, and it resolves the issue of poudriere building this port over and over again.

BR, Felix
Comment 2 tech-lists 2021-04-13 14:20:32 UTC
this is still happening today with a fresh tree from git.freebsd.org/ports.git
Comment 3 Felix Palmen 2021-05-02 09:54:48 UTC
(In reply to tech-lists from comment #2)
> this is still happening today with a fresh tree from git.freebsd.org/ports.git

and the simple change attached here still fixes it…

I'm not sure there's any drawback depending directly on gimp-app? To me, it looks like the right thing to do, waiting for comments!
Comment 4 Tobias C. Berner freebsd_committer 2021-05-02 10:24:30 UTC
Maintainer Timeout
Comment 5 Ben Woods freebsd_committer 2021-05-02 10:40:13 UTC
Sorry for missing this bug. The fix looks ok to me.
I haven’t had a chance to test it though.
Comment 6 commit-hook freebsd_committer 2021-05-02 10:54:17 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ce3742234318ab2369454eca1397a7351681bc20

commit ce3742234318ab2369454eca1397a7351681bc20
Author:     Felix Palmen <felix@palmen-it.de>
AuthorDate: 2021-05-02 10:37:27 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-05-02 10:53:42 +0000

    graphics/gtkam: fix dependency of GIMP option

    Fix dependency of the GIMP option to actually depend on the port
    providing the shared library.

    PR:             244497
    Approved by:    woodsb02 (timeout)

 graphics/gtkam/Makefile | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)